Package twisted :: Package im :: Module tocsupport :: Class TOCAccount |
[frames | no frames]

## Class TOCAccount

      Versioned --+
                  |
    AbstractAccount --+
                      |
                     TOCAccount

Method Summary
Deferred `interfaces.IClient` | ``_startLogOn`(self, chatui)` Start the sign on process.
Inherited from AbstractAccount
| ``__init__`(self, accountName, autoLogin, username, password, host, port)`
| ``__getstate__`(self)`
| ``__repr__`(self)`
| ``_cb_logOn`(self, client)`
| ``_clientLost`(self, client, reason)`
Failure | ``_loginFailed`(self, reason)` Errorback for `logOn`.
| ``getGroup`(self, name)` Group factory.
| ``getPerson`(self, name)` Person factory.
| ``isOnline`(self)`
Deferred `interfaces.IClient` | ``logOn`(self, chatui)` Log on to this account.
| ``upgrateToVersion2`(self)`
Inherited from Versioned
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Instance Variable Summary
Inherited from AbstractAccount
boolean | `_isConnecting`: Whether I am in the process of establishing a connection to the server.
boolean | `_isOnline`: Whether I am currently on-line with the server.
| `accountName`:
| `autoLogin`:
| `host`:
| `password`:
| `port`:
| `username`:

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.im.interfaces.IAccount ...`
`class` | `_groupFactory` = `twisted.im.tocsupport.TOCGroup`
`class` | `_personFactory` = `twisted.im.tocsupport.TOCPerson`
`str` | `gatewayType` = `'AIM (TOC)'`
Inherited from AbstractAccount
`NoneType` | `client` = None
`int` | `persistanceVersion` = 2
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`
`int` | `persistenceVersion` = 1

Method Details

### _startLogOn(self, chatui) Start the sign on process. Factored out of `logOn`. Returns: Deferred `interfaces.IClient` Overrides: `twisted.im.basesupport.AbstractAccount._startLogOn` (inherited documentation)

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.im.interfaces.IAccount at 0x85d9cc4>,)

    ### gatewayType Type: `str` Value:
        'AIM (TOC)'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net